html, body{height:100%;}
body{background-color: #7b7b7b;font-family: sans-serif;margin: 0;overflow: hidden;}
.farSide{text-align: right;}
html[dir="RTL"] .farSide {text-align: left;}
.lmenu{height:25px;background-color:#bbb;}
.logo{height:30px;}
/* Buttons */
button {margin:5px;padding:10px;border-radius:4px;border:1px solid #ddd;font-size:large;background-color:#eee;color: #000;}
button.primary {border:1px solid #dd4b39;background-color:#dd4b39;color:#fff;}
button.primary>img {opacity: 1;}
button>img {opacity: 0.6;vertical-align: text-bottom;}
button:hover>img {opacity: 1;}
button:active {border:1px solid #888 !important;}
button:hover {box-shadow:2px 2px 5px #888;}
button.disabled:hover>img {opacity: 0.6;}
button.disabled {display:none;}
button.notext {font-size:10%;}
h1 {font-weight: normal;font-size: 140%;margin-left: 5px;margin-right: 5px;}
/* Tabs */
#tabRow>td {border: 1px solid #ccc;border-bottom: none;}
td.tabon {border-bottom-color: #ddd !important;background-color: #ddd;padding: 5px 19px;}
td.taboff {cursor: pointer;padding: 5px 19px;background-color:#bbb;}
td.taboff:hover {background-color: #eee;}
td.tabmin {border-top-style: none !important;border-left-style: none !important;border-right-style: none !important;}
td.tabmax {border-top-style: none !important;border-left-style: none !important;border-right-style: none !important;width: 99%;padding-left: 10px;padding-right: 10px;text-align: right;}
html[dir=rtl] td.tabmax {text-align: left;}
table {border-collapse: collapse;margin: 0;padding: 0;border: none;}
td {padding:0;}
.content {background-color:#fff;visibility: hidden;margin: 0;padding: 1ex;position: absolute;direction:ltr;}
pre.content {border: 1px solid #ccc;overflow: scroll;}
#content_blocks {padding: 0;}
.blocklySvg {border-top: none !important;}
#content_xml {resize: none;outline: none;border: 1px solid #ccc;font-family: monospace;overflow: scroll;}
#languageMenu {margin-left:10px;margin-right:10px;}
/* Buttons */
button {padding: 1px 10px;margin: 1px 5px;}
/* Sprited icons. */
.icon21 {height: 21px;width: 21px;background-image: url(icons.png);}
.trash {background-position: 0px 0px;}
.link {background-position: -21px 0px;}
.run {background-position: -42px 0px;}
